Bug 205505 - dhcp-debuginfo contains symlinks to a buildroot
Summary: dhcp-debuginfo contains symlinks to a buildroot
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 204435
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-06 19:35 UTC by Radek Bíba
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 16:56:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Radek Bíba 2006-09-06 19:35:03 UTC
rpm -qvpl dhcp-debuginfo-3.0.4-20.fc6.i386.rpm says among others:
lrwxrwxrwx    1 root    root               50 Aug 21 14:24
/usr/src/debug/dhcp-3.0.4/work.linux-2.2/dhcpctl/dh
cpctl.h -> /builddir/build/BUILD/dhcp-3.0.4/dhcpctl/dhcpctl.h
lrwxrwxrwx    1 root    root               51 Aug 21 14:24
/usr/src/debug/dhcp-3.0.4/work.linux-2.2/dst/dst_in
ternal.h -> /builddir/build/BUILD/dhcp-3.0.4/dst/dst_internal.h
...

A similar issue happens with custom-built debuginfo package.

This bug depends on bug 204435. Once it is resolved, dhcp will need to be
rebuilt, too.

Comment 1 David Cantrell 2006-09-11 16:56:19 UTC
Rebuilt using new RPM, fixed in rawhide.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.